# Take back a batch of changes the caller made within the last hour

`POST /workspace/inbox/undo` · Rivier · inbox

Take back a batch of changes the caller made within the last hour.

- Scope: inbox:write
- Graphql: Mutation.inboxDeskUndo
- Sdk: inbox.desk.undo
- Cli: inbox desk undo

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "batchId": {
      "type": "string",
      "format": "uuid"
    }
  },
  "required": [
    "batchId"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/inbox/undo' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "batchId": "string"
}'
```
